# Project: Herbivore and Pollinatior-mediated Selection (HPS)
## Manuscript: Herbivores and plant defenses affect selection on plant reproductive traits more strongly than pollinators
### Authors: James S. Santangelo, Ken A. Thompson and Marc T.J. Johnson

This project has been published in the [Journal of Evolutionary Biology](https://onlinelibrary.wiley.com/doi/10.1111/jeb.13392)
The data and code for this project are additionally archived on [Dryad](https://datadryad.org/stash/dataset/doi:10.5061/dryad.h6qg003)

### Abstract

Pollinators and herbivores can both affect the evolutionary diversification of
plant reproductive traits. However, plant defences frequently alter
antagonistic and mutualistic interactions, and therefore, variation in plant
defences may alter patterns of herbivore- and pollinator-mediated selection on
plant traits. We tested this hypothesis by conducting a common garden field
experiment using 50 clonal genotypes of white clover (Trifolium repens) that
varied in a Mendelian-inherited chemical antiherbivore defence – the production
of hydrogen cyanide (HCN). To evaluate whether plant defences alter
herbivore- and/or pollinator-mediated selection, we factorially crossed
chemical defence (25 cyanogenic and 25 acyanogenic genotypes), herbivore
damage (herbivore suppression) and pollination (hand pollination). We
found that herbivores weakened selection for increased inflorescence
production, suggesting that large displays are costly in the presence of
herbivores. In addition, herbivores weakened selection on flower size but only
among acyanogenic plants, suggesting that plant defences reduce the
strength of herbivore-mediated selection. Pollinators did not independently
affect selection on any trait, although pollinators weakened selection for
later flowering among cyanogenic plants. Overall, cyanogenic plant defences
consistently increased the strength of positive directional selection on
reproductive traits. Herbivores and pollinators both strengthened and weakened
the strength of selection on reproductive traits, although herbivores imposed
~ 2.79 stronger selection than pollinators across all traits. Contrary to the
view that pollinators are the most important agents of selection on
reproductive traits, our data show that selection on reproductive traits is
driven primarily by variation in herbivory and plant defences in this system.

### Using the code in this repository

To use the code in this repository to reproduce the manuscript's results,
please follow the following steps:

1. `git clone` this repository or download it as a zip folder
2. Open `Rstudio`, go to `file > Open project` and open the
`hps.Rproj` Rproject associated with this repository
3. Once open, type `packrat::restore()` in the **R console** to download the
packages required to perform the analyses.
4. Manuscript results can be reproducibly generated by
running [scripts/Santangelo-Thompson-Johnson_Evolution_2018.R](scripts/Santangelo-Thompson-Johnson_Evolution_2018.R).
